Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.core.localsearch.decider.forager
Enum PickEarlyType

    java.lang.Object
      java.lang.Enum<PickEarlyType>
          org.drools.planner.core.localsearch.decider.forager.PickEarlyType

All Implemented Interfaces:
  Serializable, Comparable<PickEarlyType>

    public enum PickEarlyType

extends Enum<PickEarlyType>

Enum Constant Summary
`FIRST_BEST_SCORE_IMPROVING`
`FIRST_LAST_STEP_SCORE_IMPROVING`
`NEVER`

Method Summary
`static PickEarlyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PickEarlyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEVER

    public static final PickEarlyType NEVER

### FIRST_BEST_SCORE_IMPROVING

    public static final PickEarlyType FIRST_BEST_SCORE_IMPROVING

### FIRST_LAST_STEP_SCORE_IMPROVING

    public static final PickEarlyType FIRST_LAST_STEP_SCORE_IMPROVING

Method Detail

### values

    public static PickEarlyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PickEarlyType c : PickEarlyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PickEarlyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.